<?php
final class WinnerAction extends Action {
    /**
     * @var WinnerDao
     */
    protected $dao = NULL;
    /**
     * @var WinnerDto
     */
    protected $dto = NULL;
    public function __construct() {
    }
    /**
     * @return WinnerDto
     */
    public function getDto() {
        return $this->dto;
    }
    public function index() {
        $row = $this->dao->selectEntry($this->dto->getUno(), $this->dto->getTno(), $this->dto->getEno());
        $this->dao->replaceWinner($row['entry_image'], $row['nickname']);
        $this->dto->setImage($row['entry_image']);
        $this->dto->setNickname($row['nickname']);
        $this->dto->setComment($row['comment']);
        return new Forward();
    }
}
// EOF.
